Set select sort criteria

- « TableSelect::offset

- TableSelect::where »

- PHP Manual
- mysql_xdevapi\TableSelect
- Set select sort criteria

# TableSelect::orderby

(No version information available, might only be in Git)

TableSelect::orderby — Set select sort criteria

### Description

public mysql_xdevapi\TableSelect::orderby(mixed `$sort_expr`, mixed `...$sort_exprs`): mysql_xdevapi\TableSelect

Sets the order by criteria.

### Parameters

`sort_expr`

  The expressions that define the order by criteria. Can be an array with one or more expressions, or a string.

`sort_exprs`

  Additional sort_expr parameters.

### Return Values

A TableSelect object.

### Examples

Example #1 mysql_xdevapi\TableSelect::orderBy() example

    <?php$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$schema = $session->getSchema("addressbook");$table  = $schema->getTable("names");$result = $table->select('name', 'age')  ->orderBy('name desc')  ->execute();$row = $result->fetchAll();print_r($row);?>

The above example will output something similar to:

    Array
    (
        [0] => Array
            (
                [name] => Sam
                [age] => 42
            )
        [1] => Array
            (
                [name] => John
                [age] => 42
            )
    )